%define         srcname       gdl

#ImageMagick caused issues with plplot < 5.9.0
%define         with_magick   yes

#old, not on mga and we have support for hdf5
%define         with_hdf4     no

#not compulsory, but certainly faster than gsl
%define         with_fftw     yes

#compilation is buggy and PYTHON.txt claims that "Due to the
#neglectible feedback, the python module development is currently on
#hold"
%define         with_python   no

%define         prodir        gnudatalanguage

Name:           gnudl
Version:        0.9.2
Release:        %mkrel 3
Summary:        A free incremental compiler quite similar and compatible with IDL
License:        GPLv2+
Group:          Sciences/Physics

URL:            http://gnudatalanguage.sourceforge.net/
Source0:        http://sourceforge.net/projects/gnudatalanguage/files/gdl/%{version}/%{srcname}-%{version}.tar.gz



BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libgomp-devel
BuildRequires:  libreadline-devel
BuildRequires:  libwxgtku-devel
BuildRequires:  libncurses-devel
BuildRequires:  libgsl-devel
BuildRequires:  libplplot-devel
BuildRequires:  libnetcdf-devel
BuildRequires:  libproj4-devel
#BuildRequires: libhdf5-devel
BuildRequires:  hdf5-devel
BuildRequires:  libfftw-devel
BuildRequires:  libudunits2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpslib-devel
BuildRequires:  libmagick-devel


%description
A free compatible incremental compiler (i.e. runs Interactive Data
Language programs). IDL is a registered trademark of ITT Visual
Information Solutions. All IDL language elements up to IDL version 7.1
are supported and more than 380 library routines are implemented. For
a sorted list enter HELP,/LIB at the command prompt and look for
library routines written in GDL in the %prodir/lib directory.


%prep
%setup -q -n %{srcname}-%{version}


%build
autoreconf --force --install
%configure2_5x  --with-Magick=%{with_magick}    \
                --with-hdf=%{with_hdf4}         \
                --with-fftw=%{with_fftw}        \
                --with-python=%{with_python}    \
                --with-wxWidgets                \
                --with-udunits
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc README AUTHORS NEWS TODO HACKING ChangeLog COPYING
%{_mandir}/man1/*
%{_bindir}/gdl
%{_datadir}/%prodir/*



%changelog

* Thu Jan 19 2012 fwang <fwang> 0.9.2-3.mga2
+ Revision: 198406
- build with wxgtku

* Sat Dec 10 2011 eatdirt <eatdirt> 0.9.2-2.mga2
+ Revision: 179886
- Rebuilt for fftw-3.3

* Wed Dec 07 2011 eatdirt <eatdirt> 0.9.2-1.mga2
+ Revision: 178252
- Upgrade to 0.9.2

* Mon Nov 07 2011 obgr_seneca <obgr_seneca> 0.9.1-3.mga2
+ Revision: 165148
- rebuild against new plplot

* Tue Sep 06 2011 eatdirt <eatdirt> 0.9.1-2.mga2
+ Revision: 139554
- imported package gnudl

